<?php

namespace HCM\Geral\Services;

use Doctrine\ORM\EntityManager;
use HCM\Util\HCMParameters;
use HCM\Util\Messages;
use HCM\Util\Repositories;
use Zeedhi\Framework\DTO\Response\Notification;
use Zeedhi\Framework\DTO\Response\Error;


class ProcessoAdmJudService {
    
    protected $entityManager;
    protected $hcmParameters;
    
    public function __construct(EntityManager $entityManager, HCMParameters $hcmParameters, \HCM\Geral\Repository\ProcessoAdmJudRepository $processoAdmJudRepository) {
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
        $this->processoAdmJudRepository = $processoAdmJudRepository;
    }
    
    public function validadelete($dataset) {
        try {
        $this->processoAdmJudRepository->validadelete($dataset);
        } catch (\Exception $e) {            
            throw $e;
        }
    }
}