<?php

namespace HCM\SST\Services;

use Doctrine\ORM\EntityManager;
use Folha\Entities\GpeTipocomitetiporeuniao;
use Folha\Entities\GpeTipocomiteocup;
use Folha\Entities\GpeTipocomite;
use Folha\Entities\GpeTipodireitoocupcomite;
use HCM\Util\HCMParameters;
use HCM\Util\Repositories;

class TipoDireitoComiteService {
      
    protected $entityManager;
    protected $hcmParameters;
    
    public function __construct(EntityManager $entityManager, HCMParameters $hcmParameters) {
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
    }
    
    public function getTipoDireitoComiteOcup($nrtipodireito, $nrorg){
        return $this->entityManager->getRepository(Repositories::GPE_TIPODIREITOOCUPCOMITE)->findBy(array('nrtipodireito' => $nrtipodireito, 'nrorg' => $nrorg));
    }
}